import type { Metadata } from "next";
import { AppRouterCacheProvider } from "@mui/material-nextjs/v13-appRouter";
import { Box, Container } from "@mui/material";
import { ThemeProvider } from "@mui/material/styles";
import theme from "../theme";
import { Inter } from "next/font/google";
import "./globals.css";
import Header from "./components/Header";

const inter = Inter({ subsets: ["latin"] });

export const metadata: Metadata = {
  title: "Create Next App",
  description: "Generated by create next app",
};

export default function RootLayout({
  children,
}: Readonly<{
  children: React.ReactNode;
}>) {
  return (
    <html lang="en">
      <body className={inter.className}>
        <AppRouterCacheProvider>
          <ThemeProvider theme={theme}>
            <Container maxWidth="lg" sx={{ overflowY: "auto" }}>
              <Box
                sx={{
                  bgcolor: "white",
                  height: "100dvh",
                  position: "relative",
                }}
              >
                <Header />
                <div className="px-6 scroll-auto">{children}</div>
              </Box>
            </Container>
          </ThemeProvider>
        </AppRouterCacheProvider>
      </body>
    </html>
  );
}
